Bug 453772 - Review Request: perl-Gtk2-ImageView - Perl bindings to the GtkImageView image viewer widget
Review Request: perl-Gtk2-ImageView - Perl bindings to the GtkImageView image...
Status: CLOSED DUPLICATE of bug 461976
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On: 453992
  Show dependency treegraph
Reported: 2008-07-02 09:27 EDT by J. Randall Owens
Modified: 2008-09-12 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-12 10:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
local rebuild log of 0.04-3 on rawhide i386 machine (32.79 KB, text/plain)
2008-08-13 13:46 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description J. Randall Owens 2008-07-02 09:27:50 EDT
Spec URL: http://www.ghiapet.net/pub/ghiapet/linux/9/perl-Gtk2-ImageView.spec
SRPM URL: http://www.ghiapet.net/pub/ghiapet/linux/9/source/SRPMS/perl-Gtk2-ImageView-0.04-1.f9.gp.src.rpm

Description: The gscan2pdf update now (formerly?) in testing, 0.9.24-1.fc9, requires Gtk2::ImageView.  I had to update gtkimageview to 1.6.1 (currently at 1.5.0; the Gtk2::ImageView docs say 1.6.0 is minimum) to build the perl package, so I'll throw those in as a bonus, though it's just a standard version bump, no patches or anything required.  I built the gscan2pdf as well, so I suppose I might as well link those in too.
I don't even really know what it does myself, just that it's needed by gscan2pdf, which someone thought worth including at some point.  From its own description (http://trac.bjourne.webfactional.com/):
"GtkImageView is a simple image viewer widget for GTK. Similar to the image viewer panes in gThumb or Eye of Gnome. It makes writing image viewing and editing applications easy.
"Now there is also Perl bindings, created by Jeffrey Ratcliffe."
Note that these are built with not-quite-standard macros in mock; the only change is the %{dist} value, packager, vendor, hence the f9.gp instead of fc9 in the filenames.  So, do rebuild before putting out there, of course.  Also, they've only been built on/for i386 so far.

Spec URL: http://www.ghiapet.net/pub/ghiapet/linux/9/gtkimageview.spec
SRPM URL: http://www.ghiapet.net/pub/ghiapet/linux/9/source/SRPMS/gtkimageview-1.6.1-1.f9.gp.src.rpm
Spec diff URL: http://www.ghiapet.net/pub/ghiapet/linux/9/gtkimageview-spec-1.6.1.patch

Spec URL: http://www.ghiapet.net/pub/ghiapet/linux/9/gscan2pdf.spec
SRPM URL: http://www.ghiapet.net/pub/ghiapet/linux/9/source/SRPMS/gscan2pdf-0.9.24-1.f9.gp.src.rpm (doesn't have a release bump over the testing version yet)
Comment 1 Jason Tibbitts 2008-07-02 17:30:52 EDT
Summary and Description should come from the package you're submitting:

Perl bindings to the GtkImageView image viewer widget.
Find out more about GtkImageView at http://trac.bjourne.webfactional.com/.

The Perl bindings follow the C API very closely, and the C reference
should be considered the canonical documentation.

I also note that you are not an existing packager, so you will need a sponsor. 
I suggest reading through http://fedoraproject.org/wiki/PackageMaintainers/Join.

Is there a reason you don't just link to the usual CPAN page for this module and
use the usual download locations:

URL: http://search.cpan.org/dist/Gtk2-ImageView/

There are several structural comments from the specfile template you used, which
you should probably remove.

This fails to build for me in rawhide:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic'
Requested 'gtkimageview >= 1.6.0' but version of gtkimageview is 1.5.0
*** can not find package gtkimageview >= 1.6.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
 at Makefile.PL line 46
error: Bad exit status from /var/tmp/rpm-tmp.92620 (%build)

Is someone going to upgrade gtkimageview in rawhide so that this package will
build?  It doesn't suffice to just supply the prerequisites in the review
ticket; they actually have to make it into the distribution.
Comment 2 J. Randall Owens 2008-07-02 18:25:46 EDT
Of course it failed to build for you; I said right above, "I had to update
gtkimageview to 1.6.1 (currently at 1.5.0; the Gtk2::ImageView docs say 1.6.0 is
minimum) to build the perl package."  That's why I provided those extra links;
you have to build gtkimage-1.6.1, make it available to your build system, then
build perl-Gtk2-ImageView, make it available, then build gscan2pdf (the point of
the whole exercise).

Yes, I was in the middle of reading a number of the package review pages while I
did this, and got to the maintainer page somewhere along the line, I think.  I'm
not sure I'd be a good maintainer for this in the long run, though; I know perl
pretty well, but neither c nor the .xs stuff that binds them together.  I just
saw that this was needed, so I thought I'd get the ball rolling.  I would think
a maintainer should be qualified to audit the changes in updates to the code in
the package s/he maintains?  I'm not.  If, on the other hand, all you really
need to know is the packaging process, I could be up for that.

To be quite honest, I was wondering why he had it on that webfactional.com page
instead of CPAN, but I didn't think to check on CPAN too.  1.6.1-2 coming right up!

I have contacted Nils Philippsen, maintainer of gtkimageview, about this.  He
seems willing to push the gtkimageview-1.6.[01] update soon.  Should another bug
be opened for that, or is the suggestion enough?
Comment 3 J. Randall Owens 2008-07-02 18:37:16 EDT
Oops, referred to wrong package above.  I meant 0.04-2 coming right up, of course.

...and here they are.
Spec URL: http://www.ghiapet.net/pub/ghiapet/linux/9/perl-Gtk2-ImageView.spec
Comment 4 Jason Tibbitts 2008-07-02 18:51:31 EDT
I thought the point of this whole exercise was a review of perl-Gtk2-ImageView.
As I said, the prerequisites actually need to make it into the distribution
before this can be reviewed.  If you want to open a ticket against gtkimageview
and have this ticket depend on that one, that's fine but not really necessary. 
If you don't, then please do update this ticket to indicate that the package can
be reviewed.
Comment 5 J. Randall Owens 2008-07-04 12:04:37 EDT
The necessary gtkimageview update has been built on koji now, and should soon be
in testing.

F9  URL: http://koji.fedoraproject.org/koji/buildinfo?buildID=54802
F10 URL: http://koji.fedoraproject.org/koji/buildinfo?buildID=54791

These are to pages with links to the packages, not the packages themselves.
Comment 6 J. Randall Owens 2008-07-08 07:43:08 EDT
gtkimageview-1.6.1-1 is now in testing, and I've built an F9 perl-Gtk2-ImageView
against it on koji.

F9 URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=699065
Comment 7 J. Randall Owens 2008-07-12 19:43:52 EDT
I now have the latest builds, SRPMS, & specfile up on my FedoraPeople page, and
ready for review.
Comment 8 Mamoru TASAKA 2008-08-13 13:46:09 EDT
Created attachment 314227 [details]
local rebuild log of 0.04-3 on rawhide i386 machine

For 0.04-3:

* License
  - As far as I checked the whole code, the license tag must be

  - Please use %version macro. With this you probably won't have to modify
    %SOURCE9 URL when the version is upgraded.

  - The tarball in your srpm does not coincide with what I could download
    from the URL written as %SOURCE0:
44080 2008-03-18 04:42 Gtk2-ImageView-0.04.tar.gz
43947 2008-03-15 05:24 perl-Gtk2-ImageView-0.04-3.fc9/Gtk2-ImageView-0.04.tar.gz

* BuildRequires
  - For perl module related Requires, please specify it by the virtual
    module names the rpms provide, not by using the rpms' name directly.

    * e.g. Usually "BuildRequires: perl-Glib" should be
           "BuildRequires: perl(Glib)" or so.

* %check
  - %check fails on local build (log attached)
    Note that rpmbuild always unset DISPLAY env as:
Executing(%check): /bin/sh -e /home/tasaka1/rpmbuild/INSTROOT/rpm-tmp.54049
+ umask 022
+ cd /home/tasaka1/rpmbuild/BUILD
+ cd Gtk2-ImageView-0.04
+ unset DISPLAY
+ tty -s
+ make test
    For this package this seems to be leading to test failure.

* rpmlint issue

* Documents
  - Usually the file "INSTALL" is for the users who want to rebuild
    the package by themselves and is not needed for rpm users.
  - The file "MANIFEST" should be removed from %doc (actually rpmlint
    warns about this)
Comment 9 Mamoru TASAKA 2008-08-25 12:15:55 EDT
Comment 10 Mamoru TASAKA 2008-09-01 02:57:47 EDT
ping again?
Comment 11 Mamoru TASAKA 2008-09-08 10:08:42 EDT
ping again?
Comment 12 Mamoru TASAKA 2008-09-12 10:43:00 EDT
Closing as other person imported this package...

*** This bug has been marked as a duplicate of bug 461976 ***

Note You need to log in before you can comment on or make changes to this bug.